%define name lm_sensors
%define version 2.8.0
%define release 4mdk

%define lib_name_orig	lib%{name}
%define lib_major	2
%define lib_name	%mklibname %{name} %{lib_major}

%define kversion 2.4.22

Summary:	Utilities for lm_sensors
Name:		%{name}
Version:	%{version}
Release:	%{release}

Source0:	http://www.lm-sensors.nu/archive/%{name}-%{version}.tar.bz2
Source1:	lm_sensors-2.7.0-sensors
Patch0:		lm_sensors-2.8.0-fix-install.patch.bz2
Patch1:		lm_sensors-2.8.0-include-sensors.h.patch.bz2
Patch2:		lm_sensors-2.6.4-no-isadump-ppc.patch.bz2

URL:		http://www.lm-sensors.nu/
License:	GPL
Group:		System/Kernel and hardware
BuildRoot:	%_tmppath/%name-%version-%release-root
Provides:	lm_utils
Obsoletes:	lm_utils
BuildRequires:	bison flex kernel-source >= %{kversion}
BuildRequires:  librrdtool-devel
Requires:	perl
PreReq:		rpm-helper
%description
This package contains a collection of user space tools for general SMBus
access and hardware monitoring. SMBus, also known as System Management Bus,
is a protocol for communicating through a I2C ('I squared C') bus. Many modern
mainboards have a System Management Bus. There are a lot of devices which can
be connected to a SMBus; the most notable are modern memory chips with EEPROM
memories and chips for hardware monitoring.

Most modern mainboards incorporate some form of hardware monitoring chips.
These chips read things like chip temperatures, fan rotation speeds and
voltage levels. There are quite a few different chips which can be used
by mainboard builders for approximately the same results.


%package -n %{lib_name}
Summary:	Libraries needed for lm_sensors
Group:		System/Libraries
Url:		http://www.lm-sensors.nu/
Provides:	%{lib_name} = %{version}-%{release}

%description -n %{lib_name}
Libraries to access lm_sensors internal data.


%package -n %{lib_name}-devel
Summary:	Development libraries and header files for lm_sensors
Group:		Development/C
PreReq:		%{lib_name} = %version-%release
Requires: 	%{lib_name} = %{version}
Provides: 	%{lib_name_orig}-devel = %{version}-%{release}
Provides: 	%{name}-devel = %{version}-%{release}
Obsoletes: 	%{name}-devel



%description -n %{lib_name}-devel
Development libraries and header files for lm_sensors.

You might want to use this package while building applications that might
take advantage of lm_sensors if found.


%package -n %{lib_name}-static-devel
Summary:	Static libraries for lm_sensors
Group:		Development/C
PreReq:		%{lib_name}-devel = %version-%release

%description -n %{lib_name}-static-devel
This package contains static libraries for lm_sensors.



%prep

%setup -q
%patch0 -p1
%patch1 -p1
%ifarch ppc
%patch2 -p1
%endif

%build
%define MAKE_DEFS COMPILE_KERNEL=0 WARN=1 PREFIX=%{_prefix} LINUX=/usr/src/linux I2C_HEADERS=/usr/src/linux/include ETCDIR=%{_sysconfdir} MANDIR=%{_mandir} DESTDIR=$RPM_BUILD_ROOT PROG_EXTRA:=sensord LIBDIR=%{_libdir}

%make %MAKE_DEFS user
%make %MAKE_DEFS user_install



%install
rm -fr %buildroot

%make %MAKE_DEFS install
install -D -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/lm_sensors


%clean
rm -rf $RPM_BUILD_ROOT


%post
%_post_service lm_sensors

%preun
%_preun_service lm_sensors


%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc BACKGROUND BUGS CHANGES CONTRIBUTORS INSTALL README TODO doc
%config(noreplace) %{_sysconfdir}/sensors.conf
%config(noreplace) %{_initrddir}/lm_sensors
%{_bindir}/sensors
%{_sbindir}/dmidecode
%{_sbindir}/i2cdetect
%ifnarch ppc
%{_sbindir}/i2cdump
%{_sbindir}/i2cset
%{_sbindir}/isadump
%endif
%{_sbindir}/sensors-detect
%{_sbindir}/sensord
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libsensors.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/libsensors.so
%dir %{_includedir}/sensors
%{_includedir}/sensors/*
%{_mandir}/man3/*

%files -n %{lib_name}-static-devel
%defattr(-,root,root)
%{_libdir}/libsensors.a


%changelog
* Fri Aug 29 2003 Juan Quintela <quintela@mandrakesoft.com> 2.8.0-4mdk
- /usr/include/sensors belong to package.

* Fri Aug 15 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.8.0-3mdk
- Grpmf, missed Requires when merging

* Fri Aug 15 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.8.0-2mdk
- BuildRequires: librrdtool-devel

* Thu Aug 14 2003 Juan Quintela <quintela@mandrakesoft.com> 2.8.0-1mdk
- include <linux/sensors.h>.
- lib_major is 2 now.
- 2.8.0.

* Sun Jul 06 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.7.0-3mdk
- fix typo in init script giving error on shutdown
- minor cosmetics
- use %%mklibname macro

* Fri Mar 14 2003 Juan Quintela <quintela@bi.mandrakesoft.com> 2.7.0-2mdk
- fix a type in init file (Danny Tholen).
- Do no load if there isn't a config file.

* Wed Dec 11 2002 Juan Quintela <quintela@mandrakesoft.com> 2.7.0-1mdk
- 
- 2.7.0.

* Tue Dec  3 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.6.5-2mdk
- bypass files that aren't built on PPC

* Tue Dec  3 2002 Juan Quintela <quintela@mandrakesoft.com> 2.6.5-1mdk
- PreReq rpm-helper.
- liblm_sensors1-devel provides liblm_sensors.
- 2.6.5.

* Mon Dec  2 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.6.4-6mdk
- rework PPC patch (patch2)

* Thu Nov 28 2002 Juan Quintela <quintela@mandrakesoft.com> 2.6.4-5mdk
- sensor script should load all the modules now.

* Thu Aug 22 2002 Juan Quintela <quintela@mandrakesoft.com> 2.6.4-4mdk
- update sensors script.

* Wed Aug 14 2002 Juan Quintela <quintela@mandrakesoft.com> 2.6.4-3mdk
- fix Provides mess.

* Fri Aug  9 2002 Juan Quintela <quintela@mandrakesoft.com> 2.6.4-2mdk
- really fix the Requires to be librddtool0.

* Fri Aug  9 2002 Juan Quintela <quintela@mandrakesoft.com> 2.6.4-1mdk
- adde BuildRequires & Requires of librrdtool0.
- use /usr/src/linux  instead of /usr/src/linux-%kversion.
- use P2 unconditionally.
- remove P1 (fix_build_sensord).
- rediff P0 (fix_install).
- 2.6.4.

* Tue May  7 2002 Juan Quintela <quintela@mandrakesoft.com> 2.6.3-1mdk
- 2.6.3.

* Sat Jan 26 2002 Juan Quintela <quintela@mandrakesoft.com> 2.6.2-4mdk
- add Requires: perl, it is needed for sensors-detect.

* Sat Jan 19 2002 David BAUDENS <baudens@mandrakesoft.com> 2.6.2-3mdk
- Re-upload to replace broken SRPM

* Sat Jan 19 2002 David BAUDENS <baudens@mandrakesoft.com> 2.6.2-2mdk
- Fix Group: for devel package
- Move static library in static-devel package
- Fix Description for devel package
- Requires: %%name = %version-%%release and not only %%versoin

* Fri Nov 23 2001 Juan Quintela <quintela@mandrakesoft.com> 2.6.2-1mdk
- 2.6.2

* Sat Oct 27 2001 Stew Benedict <sbenedict@mandrakesoft.com> 2.6.1-3mdk
- quiet %setup, patches to build isadump on PPC

* Fri Oct 19 2001 Stefan van der Eijk <stefan@eijk.nu> 2.6.1-2mdk
- BuildRequires: bsion, flex, kernel-source 2.4.10 --> 2.4.12

* Mon Oct  8 2001 Juan Quintela <quintela@mandrakesoft.com> 2.6.1-1mdk
- Splitup from the kernel spec file.
